Subject: Re: Building cygwin32_ipc-1.03 for v1.0 - questions about v1
From: Chris faylor <[email-masked]>
To: Doug Wyatt <[email-masked]>
Cc: "'Cygwin mailing list'" <[email-masked]>
Date: Tue, 9 Nov 1999 15:43:51 -0500

On Tue, Nov 09, 1999 at 02:05:48PM -0600, Doug Wyatt wrote:
>I just built the Cygwin IPC package under the v1.0 release.  In the process
>I found it required wintypes.h, which was not included in the v1 CD pkg.  I
>extracted the file from the tgz of my former b20.1 setup and with that the
>build was able to complete.
>
>Why is the v1 release so divergent from b20.1 development -
>   e.g. - different set of includes, fairly non-standard directory
>            structure, etc.,

The v1 layout mimics the structure of MSVC more closely.

I don't know what you mean by "non-standard".  The only somewhat strange
thing about the CD is the existence of a /usr/i686-cygwin/include directory.
This is not completely non-standard since linux has something similar but it
is different from a lot of other UNIX installations.

>Are there any plans for formal patches, updates or new releases
>following up on v1.0?  Even under some kind of paid support plan?

We will be providing patches and updates and new releases.  We don't have
any formal plans yet, however.

As far as paid support plans are concerned -- that's a question for
[email-masked] .  This forum should be limited to technical
questions.

>Can the use of the registry be modified to allow coexistence of v1.0 and
>a development (b20.1 - b21) installation at the same time?  It seems at
>the moment you can only have one or the other operational at one time
>by reconfiguring the (single) registry mount table. A "[/whatever]/etc/fstab"
>file might be a good thing to tie the registry entries to.

If you use the DLL and mount from B20 they should work fine.  I switch
back and forth all of the time when I want to check how something works
on B20.  There is no need to play with the registry.  The older B20
binaries will work with the new 1.0 DLL.  The new 1.0 binaries *will
not* work with the B20 DLL.

You can't easily use *both* DLLs at the same time but I'm not sure why
you'd want to.

>Oh, and one other thing - why no man2 entries?

Because no one wrote any?

cgf

--
Want to unsubscribe from this list?
Send a message to [email-masked]